<?xml version="1.0" encoding="iso-8859-1" ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">  
<!--http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd-->  
<html xmlns="http://www.w3.org/1999/xhtml"  
> 
<head><title>WYSIWYM View</title> 
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" /> 
<meta name="generator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<meta name="originator" content="TeX4ht (http://www.cse.ohio-state.edu/~gurari/TeX4ht/)" /> 
<!-- xhtml,4 --> 
<meta name="src" content="textgrid-manual.tex" /> 
<meta name="date" content="2011-07-08 17:44:00" /> 
<link rel="stylesheet" type="text/css" href="textgrid-manual.css" /> 
</head><body 
>
<h4 class="subsectionHead"><span class="titlemark">12.3.3</span>&#x00A0;&#x00A0;<a 
 id="x86-13700012.3.3"></a>WYSIWYM View</h4>
<!--l. 1333--><p class="noindent" >The WYSIWYM (=&#8220;What You See Is What You Mean&#8221;) Editing View provides a word
processor-like interface and hides the raw XML tags from the user. It uses the TEI-Schema
and a standard CSS stylesheet to define the document layout (<a 
href="#x86-1370016">12.6<!--tex4ht:ref: fig:xml-editor:wysiwymview --></a>).
</p><!--l. 1335--><p class="noindent" >To edit other XML formats or define a custom layout you can use your own schema and CSS
stylesheet. Your stylesheet should declare paragraph-type elements as &#8220;display:block&#8221;.
</p><!--l. 1337--><p class="noindent" >If your document was not recognized as a TEI document, and no stylesheet association was
found, you have the alternative to associate a stylesheet [link:associate-css] before
proceeding. Use the <a 
href="textgrid-manualch6.html#x44-430006">Import<!--tex4ht:ref: import --></a> Tool to import a CSS first or to proceed at your own
risk.
</p>
<hr class="figure" /><div class="figure" 
>
                                                                                

                                                                                
<a 
 id="x86-1370016"></a>
                                                                                

                                                                                
<!--l. 1341--><p class="noindent" ><img 
src="xml-wysiwymview.png" /><!--tex4ht:graphics  
name="textgrid-manual79x.png" src="xml-wysiwymview.eps"  
-->
<br /> </p><div class="caption"><table class="caption" 
><tr style="vertical-align:baseline;" class="caption"><td class="id">Figure&#x00A0;12.6: </td><td  
class="content">WYSISYM View</td></tr></table></div><!--tex4ht:label?: x86-1370016 -->
                                                                                

                                                                                
</div><hr class="endfigure" />
<h5 class="subsubsectionHead"><a 
 id="x86-13800012.3.3"></a>Features of the WYSIWYM View</h5>
<!--l. 1349--><p class="noindent" >The main features of the WYSIWYM View are:
</p>
<!--l. 1351--><p class="noindent" ><span class="paragraphHead"><a 
 id="x86-13900012.3.3"></a><span 
class="cmbx-10x-x-109">Block and Inline Markers:</span></span> In the default setting no tags are displayed in the
WYSIWYM Editing View. To show the Block Markers, which mark nested divisions
of an XML-file, select <img 
src="blockmarkers.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual80x.png" src="blockmarkers.eps"  
--> in the main toolbar. To show the Inline Markers,
which mark the single elements of an XML-file, select <img 
src="inlinemarkers.png" width="20pt"  /><!--tex4ht:graphics  
name="textgrid-manual81x.png" src="inlinemarkers.eps"  
--> in the main toolbar
(<a 
href="#x86-1390017">12.7<!--tex4ht:ref: fig:xml-editor:blockinlinemarkers --></a>).
</p>
<hr class="figure" /><div class="figure" 
>
                                                                                

                                                                                
<a 
 id="x86-1390017"></a>
                                                                                

                                                                                
<!--l. 1355--><p class="noindent" ><img 
src="xml-blockinlinemarker-detail.png"  /><!--tex4ht:graphics  
name="textgrid-manual82x.png" src="xml-blockinlinemarker-detail.eps"  
-->
<br /> </p><div class="caption"><table class="caption" 
><tr style="vertical-align:baseline;" class="caption"><td class="id">Figure&#x00A0;12.7: </td><td  
class="content">Block and Inline Markers</td></tr></table></div><!--tex4ht:label?: x86-1390017 -->
                                                                                

                                                                                
</div><hr class="endfigure" />
<!--l. 1361--><p class="noindent" ><span class="paragraphHead"><a 
 id="x86-14000012.3.3"></a><span 
class="cmbx-10x-x-109">Insert Elements:</span></span> You can insert new elements by right-clicking at a certain position in the
editor and selecting &#8220;Insert Element&#8221; (alternatively select &#8220;XML&#x00A0;<span 
class="cmmi-10x-x-109">&#x003E; </span>Insert Element(s)&#8221; in the
menu bar). In case some text is highlighted in the editor when selecting &#8220;Insert
Element(s)&#8221;, the new element will surround the highlighted text fragment. In both
cases after selecting &#8217;Insert Element(s)&#8217; a list of suggested elements allowed at this
position will appear. You can use the Up <span 
class="cmsy-10x-x-109">&#x2191; </span>and Down <span 
class="cmsy-10x-x-109">&#x2193; </span>keys on your keyboard to
select an element and press Return to insert it or double-click on an element in the
list.
To insert an element not provided in the proposal list, enter the elements name in the editing
field and click &#8220;Insert New&#8221;. To rename an element in the proposal list enter the new
elements name in the editing field and click &#8220;Rename&#8221;. Placing the caret in the
WYSIWYM Editor is supported by the XPath shown in the TextGridLab status bar at
the bottom of the whole TextGridLab window. You can change the font size and
weight clicking &#8217;Fonts&#8217; in the main <a 
href="textgrid-manualsu23.html#x80-10400012.2.3">Toolbar<!--tex4ht:ref: xml-editor:xml-editor-perspective:tool-bar --></a> and select your settings in the Dialog
box.
</p><!--l. 1365--><p class="noindent" >
</p>
<h5 class="subsubsectionHead"><a 
 id="x86-14100012.3.3"></a>Context Menu</h5>
<!--l. 1367--><p class="noindent" >The Context Menu in the WYSIWYM View is similar to the Source View (<span 
class="stmary-10x-x-109">&#x2192;</span>&#x00A0;<a 
href="textgrid-manualsu27.html#x85-13600012.3.2">Context Menu<!--tex4ht:ref: xml-editor:editor-field:source-view:context-menu --></a>).
But some options you can only find here: So you can add elements to the WYSIWYM view
(<span 
class="stmary-10x-x-109">&#x2192;</span>&#x00A0;<a 
href="#x86-13800012.3.3">Features of the WYSIWYM View<!--tex4ht:ref: xml-editor:editor-field:wysiwym-view:features --></a>).
                                                                                

                                                                                
</p>
<!--l. 1370--><p class="noindent" ><a 
 id="tailtextgrid-manualsu28.html"></a> </p> 
</body></html> 
